import { BoardPattern, Renderer } from "/js/Graphics.js";

class Canvas {
    static main_pattern = new BoardPattern([
        1, 1, 1, 1, 1, 0, 0, 0, 1, 1, 1, 1, 1, // 12
        1, 2, 2, 1, 1, 0, 3, 3, 1, 1, 3, 3, 1, // 25
        1, 2, 2, 1, 1, 0, 3, 0, 1, 1, 3, 3, 1, // 38
        1, 1, 1, 1, 1, 0, 3, 0, 1, 1, 1, 1, 1, // 51
        1, 1, 1, 1, 1, 0, 3, 0, 1, 1, 1, 1, 1, // 64
        0, 2, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, // 77
        0, 2, 2, 2, 2, 1, 1, 1, 4, 4, 4, 4, 0, // 90
        0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 4, 0, // 103
        1, 1, 1, 1, 1, 0, 5, 0, 1, 1, 1, 1, 1, // 116
        1, 1, 1, 1, 1, 0, 5, 0, 1, 1, 1, 1, 1, // 129
        1, 5, 5, 1, 1, 0, 5, 0, 1, 1, 4, 4, 1, // 142
        1, 5, 5, 1, 1, 5, 5, 0, 1, 1, 4, 4, 1, // 155
        1, 1, 1, 1, 1, 0, 0, 0, 1, 1, 1, 1, 1  // 168
    ]);
    // salt_pattern = new BoardPattern([
    //     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    //     0, 2, 2, 0, 0, 0, 3, 3, 1, 1, 3, 3, 0,
    //     0, 2, 2, 0, 0, 0, 3, 0, 0, 0, 3, 3, 0,
    //     0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0,
    //     0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0,
    //     0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
    //     0, 2, 2, 2, 2, 1, 1, 1, 4, 4, 4, 4, 0,
    //     0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 4, 0,
    //     0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 1, 0,
    //     0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 1, 0,
    //     0, 5, 5, 0, 0, 0, 5, 0, 0, 0, 4, 4, 0,
    //     0, 5, 5, 1, 1, 5, 5, 0, 0, 0, 4, 4, 0,
    //     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
    // ]);
    static salt_pattern = new BoardPattern([
        2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
        2, 2, 2, 2, 0, 0, 0, 0, 0, 2, 2, 2, 2,
        2, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2,
        2, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 2,
        2, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 2,
        2, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 2,
        2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 2,
        2, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 2,
        2, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 2,
        2, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 2,
        2, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2,
        2, 2, 2, 2, 0, 0, 0, 0, 0, 2, 2, 2, 2,
        2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2
    ]);

    static renderer = new Renderer();
}

export { Canvas };